hspec-discover-2.4.1: Automatically discover and run Hspec tests

Safe Haskell | Safe
Language | Haskell2010

Test.Hspec.Discover.Config

Description

NOTE: This module is not meant for public consumption. For user documentation look at http://hspec.github.io/hspec-discover.html.

# Documentation

data Config #

Constructors

Config |
Fields configNested :: Bool configFormatter :: Maybe String configNoMain :: Bool configModuleName :: Maybe String

Instances

Eq Config # |
Methods (==) :: Config -> Config -> Bool # (/=) :: Config -> Config -> Bool #
Show Config # |
Methods showsPrec :: Int -> Config -> ShowS # show :: Config -> String # showList :: [Config] -> ShowS #

defaultConfig :: Config #

parseConfig :: String -> [String] -> Either String Config #

usage :: String -> String #